> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ingestions for a dataset

> Lists ingestion attempts for a dataset.



## OpenAPI

````yaml /api-reference/openapi.yml get /data/{username}/{namespace}/{datasetName}/ingest/attempts
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /data/{username}/{namespace}/{datasetName}/ingest/attempts:
    get:
      tags:
        - data
      summary: List ingestions for a dataset
      description: Lists ingestion attempts for a dataset.
      operationId: listIngestions
      parameters:
        - name: namespace
          in: path
          description: Namespace for the dataset.
          required: true
          schema:
            type: string
          example: cinematography
        - name: datasetName
          in: path
          description: Name of the dataset.
          required: true
          schema:
            type: string
          examples:
            movies:
              summary: Movies
              value: movies
            actors:
              summary: Actors
              value: actors
        - name: username
          in: path
          description: The username associated with the request.
          required: true
          schema:
            type: string
        - name: beforeCreatedAt
          in: query
          description: >-
            Value of the `created_at` field before or equals which to return
            ingestions.
          schema:
            type: string
            format: date-time
            example: '2024-03-01T14:30:22.000Z'
        - name: pageSize
          in: query
          description: Maximum number of results to return.
          schema:
            maximum: 100
            minimum: 1
            type: integer
            default: 25
      responses:
        '200':
          description: Returns ingestion records for the specified dataset.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListIngestionsResponseData'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListIngestionsResponseData:
      required:
        - data
        - metadata
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ListIngestionsResponseDataItem'
        metadata:
          $ref: '#/components/schemas/ListIngestionsResponseMetadata'
    ListIngestionsResponseDataItem:
      required:
        - expectedTotalBytes
        - id
        - status
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        statusMessage:
          type: string
        processedBytes:
          type: integer
          format: int64
        expectedTotalBytes:
          type: integer
          format: int64
        processedRows:
          type: integer
          format: int64
        attributes:
          $ref: '#/components/schemas/IngestionItemAttributes'
      description: Wrapper object containing details of the ingestion.
    ListIngestionsResponseMetadata:
      required:
        - pageSize
      type: object
      properties:
        beforeCreatedAt:
          minimum: 1
          type: string
          description: >-
            Value of the `created_at` field before or equal to which return
            ingestions records.
          format: date-time
        pageSize:
          maximum: 100
          minimum: 10
          type: integer
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
    IngestionItemAttributes:
      type: object
      properties:
        name:
          type: string
          description: Filename or identifier for the ingestion.
          nullable: true
        seenAt:
          type: string
          description: Timestamp when the ingestion was first seen.
          format: date-time
          nullable: true
        originalIngestionId:
          type: string
          description: In case of retry, it's the original ingestion id.
          format: uuid
        lastRetryAt:
          type: string
          description: Timestamp of the last retry attempt.
          format: date-time
          nullable: true
      description: Additional attributes for the ingestion.
      nullable: true
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````